# encoding: utf-8
class Fwac
  VERSION = '0.1.0'

  # Convert words to ｗｏｒｄｓ.
  #
  # Returns a String, but a much cooler string than what you had initially.
  def self.convert(text)
    text.tr('A-Za-z0-9', 'Ａ-Ｚａ-ｚ０-９')
  end

  # Copies the text to clipboard
  #
  # ... not in windows, tho
  def self.copy(text)
    copycmd = case RUBY_PLATFORM
    when /darwin/
      'pbcopy'
    when /linux/
      'xclip'
    end

    copycmd && system("printf \"#{text}\" | #{copycmd}")
  end
end
